[tool.poetry]
name = "djangocms_dag_jetcode"
version = "1.2.1"
description = "Django CMS DAG Jetcode is a plugin for Django CMS that allows you to add DAG System's Jetcodes on your site."
authors = ["Kapt dev team <dev@kapt.mobi>"]
license = "BSD-3-Clause"
readme = "README.md"
repository = "https://gitlab.com/kapt/open-source/djangocms-dag-jetcode"

[tool.poetry.dependencies]
python = "3.*"
Django = ">2"
django-cms = "3.*"
djangocms-attributes-field = "^2.0.0"
django-multiselectfield = "^0.1.12"

[tool.poetry.dev-dependencies]
gitchangelog = "^3.0.4"
bumpversion = "^0.6.0"
black = "~21.9b0"
flake8 = "~3.9.2"
isort = "~5.9.3"
pre-commit = "~2.9"
djhtml = "~1.4.10"

[build-system]
requires = ["poetry-core>=1.0.8"]
build-backend = "poetry.core.masonry.api"

[tool.black]
include = '\.pyi?$'
exclude = '''
(
    \.eggs         # exclude a few common directories in the
  | \.git          # root of the project
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | buck-out
  | build
  | dist
  | node_modules
)
'''
